Starmade | Salvage beam doesn't require power
Resolved, needs quality check / confirm fix, Pre-Release Quality AssurancePublic

Description

Salvager will continue to salvage after depleting power reserves and will stop using power at all.

Details

Task Type
Bug
Testing Results
Affected Gamemode(s)
Single and Multi
Reproducible
Yes
Last tested (version)
0.201.093
Category
Control Block System: Functional
First occurrence (version)
0.200.250
Hardware/Software/System
OS-Specific
No
Hardware-Specific
No
Video Card Vendor
uncertain
Steps to reproduce

Use salvager until power is depleted, continue to hold LMB.

Serverconfig (server.cfg)
<replace this block with the file content,
but do not remove the first and last line.
Before using the paste function,
mark the area from the opening angle bracket to the closing angle bracket>
Clientconfig (settings.cfg)
<replace this block with the file content,
but do not remove the first and last line.
Before using the paste function,
mark the area from the opening angle bracket to the closing angle bracket>
JNC created this task.Jun 25 2018, 2:35 AM
Restricted Application added a project: Issue Navigation. · View Herald TranscriptJun 25 2018, 2:35 AM
Restricted Application added a subscriber: AndyP. · View Herald Transcript
lancake claimed this task.Jun 29 2018, 9:56 AM
lancake moved this task from New / Unconfirmed to Confirmed on the Issue Navigation board.
lancake added a subscriber: lancake.

-validated- & -confirmed-

Good find, seems to only happen with BurstTime -1, used for all 3 support beams.
I'll change the config again to put burst time the same as cooldown, and up the burst time a little bit so that it doesn't blink on/off in between cycles.

lancake shifted this object from the S1 Public space to the S3 Starmade space.Jun 29 2018, 9:57 AM
lancake changed the visibility from "Custom Policy" to "Public (No Login Required)".
lancake changed the edit policy from "Task Author" to "Starmade (Project)".
lancake changed Affected Gamemode(s) from none/unspecified to Single and Multi.
lancake changed Reproducible from uncertain to Yes.
lancake changed Last tested (version) from 0.200.250 to 0.201.093.
lancake changed Category from none/unspecified to Control Block System: Functional.
lancake set First occurrence (version) to 0.200.250.
Restricted Application added a project: Starmade. · View Herald TranscriptJun 29 2018, 9:57 AM
lancake added a comment.EditedJun 29 2018, 9:59 AM

Nevermind, they still blink with that. Better to fix burst time -1 power consumption then.

Burst Time -1 uses "resting" consumption once the cooldown is finished, but you're still firing it holding the button. As long as you hold/fire, it should use "charging" consumption.

All 3 support beams use this (tractor beam, salvager beam, repair beam)

lancake changed the task status from "Open" to "In Queue".Jun 29 2018, 9:59 AM
Restricted Application edited projects, added Game Development, CBS: Functional; removed Issue Navigation. · View Herald TranscriptJun 29 2018, 9:59 AM
lancake changed the title from "Salvager doesn't require power" to "Salvage beam doesn't require power".Jun 29 2018, 10:22 AM
lancake added a subscriber: MacThule.
lancake changed the task status from "In Queue" to "Resolved".Jun 29 2018, 11:44 AM
Restricted Application edited projects, added Quality Assurance; removed Game Development. · View Herald TranscriptJun 29 2018, 11:44 AM
JNC added a comment.Jun 30 2018, 2:27 AM

Hmm, If im understanding correctly you're saying that after the salvager depletes my power reserves it's then ment to only require the static power draw to operate... so long as the LMB is not released? If this is the case, is it really necessary to require the 3 support beams to draw a large amount of power initially if capacitor depletion does not interrupt them and sustained use uses very little power?

As long as you hold the button, you fire the beam. And now you also consume full power when that is happening. If your ship runs out of power, then your beam will stop firing as well even if you hold the button.

That's how it should work now when I put it on 'resolved'

JNC added a comment.Jul 3 2018, 1:59 PM

Well, I just made a quick test ship in v0.201.100 that had a salvager which used 450% the reactors output and it would mine just fine forever... even though the reactors capacity was depleted very quickly. Maybe the issue is that it doesn't actually go to zero? It just bounces around 0.1% to .9% to 1.0% etc.

HOWEVER...

I tried using this on an asteroid and experienced some odd behavior. For the first 30 seconds or so the laser was firing but would not mine any blocks from the roid. After that time, the salvager began picking up blocks all of a sudden and I never released LMB or changed firing modes or anything.